# Skeleton

A plugin skeleton builder for [CakePHP 3][cakephp] using [Composer][composer].

## Usage

```sh
composer create-project muffin/skeleton CustomName
```

This will create the plugin's project folder and trigger some
questions to get you quickly started:

![gif](https://cloud.githubusercontent.com/assets/33527/14534536/9e70c76c-0237-11e6-9cd8-a837f3d778fe.gif)

## Patches & Features

* Fork
* Mod, fix
* Test - this is important, so it's not unintentionally broken
* Commit - do not mess with license, todo, version, etc. (if you do change any, bump them into commits of
their own that I can ignore when I pull)
* Pull request - bonus point for topic branches

To ensure your PRs are considered for upstream, you MUST follow the [CakePHP coding standards][standards].

## Bugs & Feedback

http://github.com/usemuffin/skeleton

## License

Copyright (c) 2016, [Use Muffin][muffin] and licensed under [The MIT License][mit].

[cakephp]:http://cakephp.org
[composer]:http://getcomposer.org
[mit]:http://www.opensource.org/licenses/mit-license.php
[muffin]:http://usemuffin.com
[standards]:http://book.cakephp.org/3.0/en/contributing/cakephp-coding-conventions.html
